/*
 * v1 Controller
 * -------------------------------------------------------------
 * Put some description here!
 */
const Out = _flitter.model('v1:Out')
const Project = _flitter.model('v1:Project')
class v1 {

    /*
     * Serve the main page.
     */
    main(req, res){

        /*
         * Return the main view.
         * It must be passed the response.
         * View parameters can be passed as an optional third
         * argument to the view() method.
         */
        return view(res, 'view_name')
    }

    async new_out( req, res, next ){
        console.log(req.body)
        const project = await Project.findOne({ uuid: req.params.key })

        if ( !project ){
            return res.status(404).send({
                success: false,
                error: 'Project not found with specified key.'
            })
        }

        if ( !req.body.data ){
            return res.status(400).send({
                success: false,
                error: 'Missing data.'
            })
        }

        const data = JSON.parse(req.body.data)

        const out = new Out({
            brief: data.brief,
            data: JSON.stringify(data.data),
            project_id: project.id
        })

        await out.save()

        return res.send({
            success: true
        })
    }
}

module.exports = exports = v1